Hoax Clearing Center - Task #22637

PC strand and wire requirement
03/29/2021 07:30 AM - Zhancheng Andy

Status: Closed
Priority: Normal
Assignee: Riza Dwi
Category:

Sprint/Milestone:

Start date:
Due date:

% Done:

Estimated time:

03/29/2021

0%
0:00 hour

Description

Hi have a nice day.

We supply construction materials,
PC wire and PC strand for bridge,
Steel fiber for UHPC,

PP fiber used in tunnel.

Please call me for more details.

BEST REGARDS
ANDY

History

#1 - 07/06/2021 10:46 AM - Riza Dwi
- Status changed from Open to Closed

- Assignee changed from Aribowo Sasmito to Riza Dwi

09/22/2021

171
